hosc-0.17: Haskell Open Sound Control

Safe Haskell | None
Language | Haskell98

Sound.OSC.Coding.Encode.Base

Description

Base-level encode function for OSC packets (slow). For ordinary use see `Builder`.

Synopsis

- extend :: Word8 -> ByteString -> ByteString
- encode_datum :: Datum -> ByteString
- encodeMessage :: Message -> ByteString
- encode_message_blob :: Message -> Datum
- encodeBundle :: Bundle -> ByteString
- encodePacket :: Packet -> ByteString

# Documentation

extend :: Word8 -> ByteString -> ByteString Source #

Align byte string, if required.

encode_datum :: Datum -> ByteString Source #

Encode OSC `Datum`.

encodeMessage :: Message -> ByteString Source #

Encode OSC `Message`.

encode_message_blob :: Message -> Datum Source #

Encode OSC `Message` as an OSC blob.

encodeBundle :: Bundle -> ByteString Source #

Encode OSC `Bundle`.

encodePacket :: Packet -> ByteString Source #

Encode OSC `Packet`.